TagLib::MP4 Namespace Reference

An implementation of MP4 (AAC, ALAC, ...) metadata. More...

## Classes

class | CoverArt
| MP4 picture. More...
class | File
| An implementation of TagLib::File with MP4 specific methods. More...
class | Item
| MP4 item. More...
class | ItemFactory
| A factory for creating MP4 items during parsing. More...
class | Properties
| An implementation of MP4 audio properties. More...
class | StemPrivate
| STEM. More...
class | Stem
class | Tag
| An MP4 tag implementation. More...

## Typedefs

using | CoverArtList = List<CoverArt>
using | ItemMap = TagLib::Map<String, Item>

## Enumerations

enum | AtomDataType { TypeImplicit = 0 , TypeUTF8 = 1 , TypeUTF16 = 2 , TypeSJIS = 3 , TypeHTML = 6 , TypeXML = 7 , TypeUUID = 8 , TypeISRC = 9 , TypeMI3P = 10 , TypeGIF = 12 , TypeJPEG = 13 , TypePNG = 14 , TypeURL = 15 , TypeDuration = 16 , TypeDateTime = 17 , TypeGenred = 18 , TypeInteger = 21 , TypeRIAAPA = 24 , TypeUPC = 25 , TypeBMP = 27 , TypeUndefined = 255 }

## Detailed Description

An implementation of MP4 (AAC, ALAC, ...) metadata.

## Typedef Documentation

## CoverArtList

using TagLib::MP4::CoverArtList = List<CoverArt>

## ItemMap

using TagLib::MP4::ItemMap = TagLib::Map<String, Item>

## Enumeration Type Documentation

## AtomDataType

enum TagLib::MP4::AtomDataType

Enumerator
TypeImplicit |
TypeUTF8 |
TypeUTF16 |
TypeSJIS |
TypeHTML |
TypeXML |
TypeUUID |
TypeISRC |
TypeMI3P |
TypeGIF |
TypeJPEG |
TypePNG |
TypeURL |
TypeDuration |
TypeDateTime |
TypeGenred |
TypeInteger |
TypeRIAAPA |
TypeUPC |
TypeBMP |
TypeUndefined |